package org.richfaces.realworld.service;

import javax.ejb.Local;
import javax.ejb.Remove;

import org.jboss.seam.annotations.Destroy;
import org.richfaces.realworld.domain.Comment;
import org.richfaces.realworld.domain.Message;

@Local
public interface IMessageAction {

	public abstract void sendMessage(Message message);

	public abstract void deleteMessage(Message message);
	
	@Remove
	public void remove();
	
	@Destroy
	public void destroy();

	public void markAsReaded(Message message);
}